JexlUberspect.PropertyResolver (Apache Commons JEXL 3.7.0 API)
Description: declaration: package: org.apache.commons.jexl3.introspection, interface: JexlUberspect, interface: PropertyResolver

Package org.apache.commons.jexl3.introspection

# Interface JexlUberspect.PropertyResolver

All Known Implementing Classes:
  `JexlUberspect.JexlResolver`

Enclosing interface:
  `JexlUberspect`

public static interface JexlUberspect.PropertyResolver
Abstracts getting property setter and getter.

These are used through 'strategies' to solve properties; a strategy orders a list of resolver types, and each resolver type is tried in sequence; the first resolver that discovers a non-null {s,g}etter stops the search.

Since:
  3.0
See Also:
  - `JexlUberspect.JexlResolver`
  - `JexlUberspect.getPropertyGet(java.util.List<org.apache.commons.jexl3.introspection.JexlUberspect.PropertyResolver>, java.lang.Object, java.lang.Object)`
  - `JexlUberspect.getPropertySet(java.util.List<org.apache.commons.jexl3.introspection.JexlUberspect.PropertyResolver>, java.lang.Object, java.lang.Object, java.lang.Object)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JexlPropertyGet`
  `getPropertyGet(JexlUberspect uber, Object obj, Object identifier)`
  Gets a property getter.
  `JexlPropertySet`
  `getPropertySet(JexlUberspect uber, Object obj, Object identifier, Object arg)`
  Gets a property setter.

- ## Method Details

  - ### getPropertyGet

    JexlPropertyGet getPropertyGet(JexlUberspect uber, Object obj, Object identifier)
    Gets a property getter.
    Parameters:
      `uber` - the uberspect
      `obj` - the object
      `identifier` - the property identifier
    Returns:
      the property getter or null

  - ### getPropertySet

    JexlPropertySet getPropertySet(JexlUberspect uber, Object obj, Object identifier, Object arg)
    Gets a property setter.
    Parameters:
      `uber` - the uberspect
      `obj` - the object
      `identifier` - the property identifier
      `arg` - the property value
    Returns:
      the property setter or null